ranch:get_max_connections(3)

NAME

ranch:get_max_connections - Get the max number of connections per connection supervisor

DESCRIPTION
    get_max_connections(Ref :: ranch:ref())
        -> MaxConns :: ranch:max_conns()

Get the max number of connections per connection supervisor.

ARGUMENTS

Ref
    The listener name.

RETURN VALUE

The maximum number of connections per connection supervisor is returned.

CHANGELOG
    • 2.0: The maximum number of connections is now per connection supervisor.

EXAMPLES

Get the max number of connections per connection supervisor
    MaxConns = ranch:get_max_connections(example).

SEE ALSO

ranch:get_protocol_options(3), ranch:get_transport_options(3), ranch:set_max_connections(3), ranch(3)